<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
msxromdb.xml MegaROM types:

5 ASCII16
5 ASCII16SRAM2
4 ASCII8
4 ASCII8SRAM8
6 GameMaster2
3 GenericKonami
3 Konami
2 KonamiSCC

fMSX MegaROM types:

0 "GENERIC/8kB",
1 "GENERIC/16kB",
2 "KONAMI5/8kB",
3 "KONAMI4/8kB",
4 "ASCII/8kB",
5 "ASCII/16kB",
6 "GMASTER2/SRAM",
7 "UNKNOWN"
-->  

<xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyz</xsl:variable>
<xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>

<xsl:template match="/">
    <xsl:for-each select="softwaredb/software/dump/megarom">
      <xsl:value-of select="hash"/>
      <xsl:text> </xsl:text>
      <xsl:value-of select="type" />      
      <br/>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>